Action File Reference
`#include <osgAnimation/Export>`
`#include <osgAnimation/Animation>`
`#include <osgAnimation/ActionVisitor>`
`#include <osgAnimation/FrameAction>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | osgAnimation::Action
class | osgAnimation::Action::Callback

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_ACTION_H
#define | META_Action(library, name)

## Macro Definition Documentation

## META_Action

#define META_Action | ( |  | library,
|  |  | name )

Value:
virtual osg::Object* cloneType() const { return new name (); } \
virtual osg::Object* clone(const osg::CopyOp& copyop) const { return new name (*this,copyop); } \
virtual bool isSameKindAs(const osg::Object* obj) const { return dynamic_cast<const name *>(obj)!=NULL; } \
virtual const char* className() const { return #name; } \
virtual const char* libraryName() const { return #library; } \
virtual void accept(osgAnimation::ActionVisitor& nv) { nv.apply(*this); } \
osgAnimation::ActionVisitor::apply
virtual void apply(Action &action)
osg::CopyOp
Definition CopyOp:41
osg::Object
Definition Object:61
NULL
#define NULL
Definition osg/Export:55

## OSGANIMATION_ACTION_H

#define OSGANIMATION_ACTION_H